///// known function case
z=%z;
ts = 1;                // sample time
fz=(z+0.4)*(z-0.2)/(z-0.6)/(z+0.1);    //target function
disp("target functon")
disp(fz)

fs0=0.01*1/ts/2;       // start freq.
fsn=0.49*1/ts/2;       // stop freq.
ff = fs0+(fsn-fs0)*(0:20)/20;
zf = exp(%i*ff'*2*%pi*ts);
qf = horner(fz,zf);
at =[ff',abs(qf),imag(log(qf))/%pi*180];  //  prepare data in the file

if MSDOS then unix('del foo');
else unix('rm -f foo'); end
write('foo',at)

px = piir(ts,2,'foo',0.01);  // The order of px is 2. Phase error is 0.01

disp("result")
disp(px)
// px is almost same as fz
