///// approximation of exp(1/z)
z=%z;
ts = 1;                // sample time
fz=1/z;    //target function
fs0=0.01*1/ts/2;       // start freq.
fsn=0.49*1/ts/2;       // stop freq.
ff = fs0+(fsn-fs0)*(0:20)/20;
zf = exp(%i*ff'*2*%pi*ts);
qf = exp(horner(fz,zf));
at =[ff',abs(qf),imag(log(qf))/%pi*180];  //  prepare data in the file

if MSDOS then unix('del foo');
else unix('rm -f foo'); end
write('foo',at)

px = piir(ts,2,'foo',0.01);  // The order of px is 2. Phase error is 0.01

//  compare the result
qa=horner(px,zf);
clf()
bode(ff,[qf.';qa.'])

disp('approxmation of exp(1/z)')
disp(px)
// 